## Exit on working directory for lf
lf () {
    tmp="$(mktemp)"
    _lf -last-dir-path="$tmp" "$@"  --command "set hidden"
    if [ -f "$tmp" ]; then
        dir="$(cat "$tmp")"
        rm -f "$tmp"
        if [ -d "$dir" ]; then
            if [ "$dir" != "$(pwd)" ]; then
                cd "$dir"
            fi
        fi
    fi
}


